马上更新浏览器!超危Firefox 0-day漏洞遭到黑客利用

Mozilla 8日发布Firefox 72.0.1版本和Firefox ESR 68.4.1版本,修复Firefox浏览器软件中的一个超危0-day漏洞,该漏洞已经遭到了黑客的活跃利用。

Mozilla 8日发布Firefox 72.0.1版本和Firefox ESR 68.4.1版本,修复Firefox浏览器软件中的一个超危0-day漏洞,该漏洞已经遭到了黑客的活跃利用。

该漏洞的编号为CVE-2019-17026,存在于Mozilla的JavaScript引擎SpiderMonkey的IonMonkey JIT编译器,是一个超危的类型混淆漏洞。

通常情况下,当代码没有验证传递的对象,并在没有检查对象类型的情况下就盲目使用该对象,就会产生类型混淆漏洞。攻击者可利用该漏洞造成应用程序崩溃或执行代码。

Mozilla既没有公开该安全漏洞的详情,也没有披露正在发生的,可能的网络攻击的任何信息,只表示用于设置数组元素的IonMonkey JIT编译器中存在错误的别名信息,可导致类型混淆。

这意味着,远程攻击者只要诱使用户访问一个恶意构制的web页面,就可利用该漏洞在应用程序的上下文中在系统上执行任意代码。

该漏洞是由奇虎360 ATA安全团队的研究人员向Mozilla报送的,不过360也没有公开任何有关该漏洞的信息。

虽然Firefox默认会自动安装更新,并在重启后激活新的版本,用户可以在菜单>帮助>关于Mozilla Firefox处使用内置功能手动升级版本。


本文源自The Hacker News,作者:Mohit Kumar;译文略有改动;转载请注明出处。

更多精彩
取消
Loading...

填写个人信息

姓名
电话
邮箱
公司
行业
职位
css.php